coef.reStruct {nlme} | R Documentation

## reStruct Object Coefficients

### Description

This method function extracts the coefficients associated with the positive-definite matrix represented by `object`.

### Usage

    ## S3 method for class 'reStruct':
    coef(object, unconstrained, ...)
    ## S3 method for class 'reStruct':
    coef(object, ...) <- value

### Arguments

`object` | an object inheriting from class `reStruct`, representing a random effects structure and consisting of a list of `pdMat` objects.
`unconstrained` | a logical value. If `TRUE` the coefficients are returned in unconstrained form (the same used in the optimization algorithm). If `FALSE` the coefficients are returned in "natural", possibly constrained, form. Defaults to `TRUE`.
`value` | a vector with the replacement values for the coefficients associated with `object`. It must be a vector with the same length of `coef(object)` and must be given in unconstrained form.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

a vector with the coefficients corresponding to `object`.

### SIDE EFFECTS

On the left side of an assignment, sets the values of the coefficients of `object` to `value`.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`coef.pdMat`, `reStruct`, `pdMat`

### Examples

    rs1 <- reStruct(list(A = pdSymm(diag(1:3), form = ~Score),
      B = pdDiag(2 * diag(4), form = ~Educ)))
    coef(rs1)

[Package nlme version 3.1-85 Index]